In trying to install the base OES2sp1 I get this:

product:OPEN_ENTERPRISE_SERVER_SP1-2.0.1-0.x86_64[Novell Open Enterprise Server 2 SP1] cannot be installed due to missing dependencies

There are no installable providers of sles-release-10-sp2 for product:OPEN_ENTERPRISE_SERVER_SP1-2.0.1-0.x86_64[Novell Open Enterprise Server 2 SP1]

Conflict Resolution:
( ) do not install OPEN_ENTERPRISE_SERVER_SP1
do not install product:OPEN_ENTERPRISE_SERVER_SP1-2.0.1-0.x86_64[Novell Open Enterprise Server 2 SP1]
( ) Ignore this requirement just here

I don't understand "there are no installable providers of sles release 10-sp2.... I don't have sles 10sp2, I have sles 10 sp1.... /etc/SUSE-release says sp1.